%define	major 2
%define libname %mklibname mng %{major}
%define develname %mklibname -d mng
%define staticdevelname %mklibname -d -s mng

Summary:	A library for handling MNG files
Name:		libmng
Version:	2.0.3
Release:	%mkrel 5
License:	Distributable (see LICENSE)
Group:		System/Libraries
URL:		https://www.libmng.com/
Source0:	https://prdownloads.sourceforge.net/libmng/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(lcms2)
BuildRequires:	pkgconfig(zlib)

%description
The libmng library supports decoding, displaying, encoding, and various other
manipulations of the Multiple-image Network Graphics (MNG) format image files.
It uses the zlib compression library, and optionally the JPEG library by the
Independent JPEG Group (IJG) and/or lcms (little cms), a color-management
library by Marti Maria Saguar

%package -n	%{libname}
Summary:	A library for handling MNG files
Group:		System/Libraries
Provides:	%{name}

%description -n	%{libname}
The libmng library supports decoding, displaying, encoding, and various other
manipulations of the Multiple-image Network Graphics (MNG) format image files.
It uses the zlib compression library, and optionally the JPEG library by the
Independent JPEG Group (IJG) and/or lcms (little cms), a color-management
library by Marti Maria Saguar

%package -n	%{develname}
Summary:	Header files for libmng
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel mng-devel libmng0.9.3-devel libmng0-devel %{libname}-devel = %{version}-%{release}
Obsoletes:	libmng0.9.3-devel libmng0-devel %{libname}-devel %{_lib}mng1-devel

%description -n	%{develname}
The libmng library supports decoding, displaying, encoding, and various other
manipulations of the Multiple-image Network Graphics (MNG) format image files.
It uses the zlib compression library, and optionally the JPEG library by the
Independent JPEG Group (IJG) and/or lcms (little cms), a color-management
library by Marti Maria Saguar

This package contains header files needed for development.

%prep

%setup -q

%build
aclocal; libtoolize -cfi; automake -acf; autoconf

%configure --disable-static

%make_build

%install

rm -rf %{buildroot}

%make_install
rm -f %{buildroot}%{_libdir}/*.la

install -m644 doc/man/libmng.3 -D %{buildroot}%{_mandir}/man3/libmng.3
install -m644 doc/man/jng.5 -D %{buildroot}%{_mandir}/man5/jng.5
install -m644 doc/man/mng.5 -D %{buildroot}%{_mandir}/man5/mng.5

%files -n %{libname}
%doc CHANGES LICENSE README README.contrib README.examples
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%doc CHANGES LICENSE README README.contrib README.examples
%doc doc/Plan1.png doc/Plan2.png doc/doc.readme doc/libmng.txt
%{_includedir}/*
%{_libdir}/*.so
%{_mandir}/man*/*
%{_libdir}/pkgconfig/libmng.pc


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 2.0.3-5.mga10
+ Revision: 2212088
- Mageia 10 Mass Rebuild

* Mon Mar 28 2022 umeabot <umeabot> 2.0.3-4.mga9
+ Revision: 1830955
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 2.0.3-3.mga8
+ Revision: 1514240
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 2.0.3-2.mga7
+ Revision: 1298999
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Fri Jan 01 2016 luigiwalser <luigiwalser> 2.0.3-1.mga6
+ Revision: 917749
- 2.0.3

* Wed Oct 15 2014 umeabot <umeabot> 2.0.2-6.mga5
+ Revision: 745693
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.0.2-5.mga5
+ Revision: 726759
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.0.2-4.mga5
+ Revision: 681608
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.0.2-3.mga4
+ Revision: 533240
- Mageia 4 Mass Rebuild

* Tue Aug 27 2013 tv <tv> 2.0.2-2.mga4
+ Revision: 472359
- fix major and prevent breaking major again

* Tue Aug 27 2013 luigiwalser <luigiwalser> 2.0.2-1.mga4
+ Revision: 472341
- 2.0.2
- build against lcms2 instead of lcms
- remove no longer needed patch

* Sat Jan 12 2013 umeabot <umeabot> 1.0.10-15.mga3
+ Revision: 357776
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 06 2012 cjw <cjw> 1.0.10-14.mga3
+ Revision: 327614
- patch1: fix build with automake 1.12

* Sun Nov 06 2011 ahmad <ahmad> 1.0.10-13.mga2
+ Revision: 164269
- drop old/unneeded scriptlets
- imported package libmng


* Thu Nov 25 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.10-12mdv2011.0
+ Revision: 601054
- rebuild

* Sun Jan 10 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.10-11mdv2010.1
+ Revision: 488779
- rebuilt against libjpeg v8

* Sat Aug 15 2009 Oden Eriksson <oeriksson@mandriva.com> 1.0.10-10mdv2010.0
+ Revision: 416522
- rebuilt against libjpeg v7

* Mon Mar 30 2009 Frederik Himpe <fhimpe@mandriva.org> 1.0.10-9mdv2009.1
+ Revision: 362738
- Rebuild for lcms 1.18 security updates

* Thu Dec 18 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.10-8mdv2009.1
+ Revision: 315577
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.0.10-7mdv2009.0
+ Revision: 222931
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Mar 05 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.10-6mdv2008.1
+ Revision: 179990
- bump release
- fix build deps
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Jul 14 2007 Adam Williamson <awilliamson@mandriva.org> 1.0.10-3mdv2008.0
+ Revision: 51953
- don't obsolete yourself; obsolete libmng1-devel

* Sat Jul 14 2007 Adam Williamson <awilliamson@mandriva.org> 1.0.10-2mdv2008.0
+ Revision: 51919
- rebuild for missing -devel package

* Fri Jul 13 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0.10-1mdv2008.0
+ Revision: 51876
- conform to the latest specs


* Tue Jan 30 2007 Götz Waschk <waschk@mandriva.org> 1.0.9-1mdv2007.0
+ Revision: 115450
- Import libmng

* Tue Jan 30 2007 Götz Waschk <waschk@mandriva.org> 1.0.9-1mdv2007.1
- rebuild

* Mon Oct 17 2005 Olivier Thauvin <nanardon@mandriva.org> 1.0.9-1mdk
- 1.0.9
- spec cleanup

* Thu Nov 11 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.0.8-1mdk
- 1.0.8

* Thu Jun 17 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.0.7-1mdk
- 1.0.7
- drop P0 & P3
- regenerate P1 (is it really needed anymore?)
- fix obsolete-not-provided
- cosmetics

* Mon Mar 01 2004 Stefan van der Eijk <stefan@eijk.nu> 1.0.5-5mdk
- reupload

